| Home | Libraries | People | FAQ | More

## Struct top

boost::xpressive::op::top

## Synopsis

    struct top {
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef mpl::if_< is_const< sequence_type >, typename sequence_type::value_type const &, typename sequence_type::value_type & >::type type;

        // public member functions
        typedef UNREF(Sequence) ;
      };
    };

## Description